---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "16"
  version: 8060020220530123429
  context: 9edba152
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 35029f731803ad194b7880fd5080bf7db17f4c02
        buildorder: 100
        arches: [aarch64, i686, ppc64le, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 63383cf76961c0730ad3515403efa680a9aa66a5
        buildorder: 200
        arches: [aarch64, i686, ppc64le, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 424ca121a0f7ac32c8e0222498675d1762446880
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - nodejs-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.i686
    - nodejs-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.src
    - nodejs-debuginfo-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.i686
    - nodejs-debugsource-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.i686
    - nodejs-devel-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.i686
    - nodejs-docs-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.noarch
    - nodejs-full-i18n-1:16.14.0-4.module_el8.6.0+2904+f21ad6f4.i686
    - nodejs-nodemon-0:2.0.15-1.module_el8.6.0+2904+f21ad6f4.noarch
    - nodejs-nodemon-0:2.0.15-1.module_el8.6.0+2904+f21ad6f4.src
    - nodejs-packaging-0:25-1.module_el8.5.0+246+05401605.noarch
    - nodejs-packaging-0:25-1.module_el8.5.0+246+05401605.src
    - nodejs-packaging-0:25-1.module_el8.5.0+2605+45d748af.noarch
    - nodejs-packaging-0:25-1.module_el8.5.0+2605+45d748af.src
    - npm-1:8.3.1-1.16.14.0.4.module_el8.6.0+2904+f21ad6f4.i686
...
